Android Developer Tools (ADT) no Ubuntu 13.10 64 bits

Publicado por Danillo Victtor Caetano da Silva em 19/02/2014

[ Hits: 7.152 ]

 


Android Developer Tools (ADT) no Ubuntu 13.10 64 bits



Realize o download do ADT do site oficial do Android:
Observação: apesar do ADT (Android Developer Tools) ser de 64 bits, o adb vem automaticamente com a versão de 32 bits, causando assim, incompatibilidade e não criação do emulador Android.

Para solucionar o problema:

1. Abra o terminal (esteja também conectado à Internet).

2. Digite o comando:

sudo apt-get install libc6-i386 lib32stdc++6 lib32gcc1 lib32ncurses5 lib32z1

3. Descompacte o arquivo adb, baixado em seu diretório.


Pronto. Seu ADT e o emulador, estarão funcionando corretamente.

Outras dicas deste autor
Nenhuma dica encontrada.
Leitura recomendada

Transferir arquivos via Arch Linux para Galaxy S8

Android - Como navegar numa rede com proxy

Como Instalar Android em PC com boot UEFI

Erro: user in plugdev group; are your udev rules wrong? [Resolvido]

Transmitindo a tela do Android usando Chromecast

  

Comentários
[1] Comentário enviado por milrak em 21/10/2014 - 13:23h

Desculpa a ignorância, mas essa dica é justamente para corrigir esse problema aqui?

[2014-10-19 21:04:45 - Emulator] ERROR: 32-bit Linux Android emulator binaries are DEPRECATED, to use them
[2014-10-19 21:04:45 - Emulator] you will have to do at least one of the following:
[2014-10-19 21:04:45 - Emulator]
[2014-10-19 21:04:45 - Emulator] - Use the '-force-32bit' option when invoking 'emulator'.
[2014-10-19 21:04:45 - Emulator] - Set ANDROID_EMULATOR_FORCE_32BIT to 'true' in your environment.
[2014-10-19 21:04:45 - Emulator] Either one will allow you to use the 32-bit binaries, but please be
[2014-10-19 21:04:45 - Emulator] aware that these will disappear in a future Android SDK release.
[2014-10-19 21:04:45 - Emulator] Consider moving to a 64-bit Linux system before that happens.

[2] Comentário enviado por danilo_geek em 21/10/2014 - 15:27h

Olá milrak, Perfeitamente!!! Os computadores modernos vem com sistemas operacionais com 64bits, ao baixar o SDK, o emulador junto com o adb vem padronizado em 32bits, havendo uma incompatibilidade na criação da AVD (Android Virtual Device), portanto, para solucionar o problema em ambiente linux o comando acima faz a correção, dando a você a criação de um AVD sem problemas.

[3] Comentário enviado por milrak em 22/10/2014 - 01:37h

Segui os passos acima, o linux avisou que já estou com as versões mais atuais de cada pacote, e mesmo assim não funcionar, quando vou rodar os apps ele apresenta o erro e não abre o emulador.

[2014-10-21 23:36:41 - Emulator] ERROR: 32-bit Linux Android emulator binaries are DEPRECATED, to use them
[2014-10-21 23:36:41 - Emulator] you will have to do at least one of the following:
[2014-10-21 23:36:41 - Emulator]
[2014-10-21 23:36:41 - Emulator] - Use the '-force-32bit' option when invoking 'emulator'.
[2014-10-21 23:36:41 - Emulator] - Set ANDROID_EMULATOR_FORCE_32BIT to 'true' in your environment.
[2014-10-21 23:36:41 - Emulator]
[2014-10-21 23:36:41 - Emulator] Either one will allow you to use the 32-bit binaries, but please be
[2014-10-21 23:36:41 - Emulator] aware that these will disappear in a future Android SDK release.
[2014-10-21 23:36:41 - Emulator] Consider moving to a 64-bit Linux system before that happens.
[2014-10-21 23:36:41 - Emulator]


O meu sistema é 64 bits, o meu adt que baixei no site do google é de 64 btis, tudo é 64bits aqui. rs

[4] Comentário enviado por renatormendes em 30/03/2015 - 19:54h

Estou com um problema também mas é ao executar o emulador, seja no sistema gráfico ou no terminal...
Após dar o comando abaixo, ou executar na IDE do Android SDK o seguinte comando:

sudo ./emulator -avd Teste -force-32bit

Ele me envia essa mensagem:
PANIC: HOME is defined but could not find Teste.ini file in $HOME/.android/avd
(Note: avd is searched in the order of $ANDROID_AVD_HOME,$ANDROID_SDK_HOME/.android/avd and $HOME/.android/avd)

Fui ao arquivo .bashrc, acrescentei a seguinte linha:

PATH=$PATH:~/opt/android-sdk-linux/tools:~/opt/android-sdk-linux/platform-tools

Pois é onde se encontra a pasta do Android SDK

Meu sistema é de 64bits e já usei o comando:

uname -m

onde ele me retorna:

x86_64

Já não sei mais o q fazer pra executar o emulado. Será que alguém já passou por isso aqui e pode me passar uma solução, caso tenha conseguido resolver?

Att

[5] Comentário enviado por danilo_geek em 30/03/2015 - 21:58h

Olá meu caro,
O android passou por uma grande atualização,
pois bem, vamos logo que interessa,
se esse problema está ocorrendo porque você está instalando um pluguin na IDE Eclipse,
aconselho que você faça o Download Oficial para Developers Android que está neste site:
http://developer.android.com/sdk/index.html

O Google se preocupou em desenvolver uma ferramenta que venha dá suporte somente a ela deixando de lado as atualições de pluguins para eclipse. Tenta baixar e instalar, creio que irá resolver.




Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts